Package oracle.sql.json

## Class OracleJsonGenerationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - oracle.sql.json.OracleJsonException
        - - oracle.sql.json.OracleJsonGenerationException

All Implemented Interfaces:
  `java.io.Serializable`

    public class OracleJsonGenerationException
    extends OracleJsonException

Indicates that a problem occurred during JSON generation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`OracleJsonGenerationException​(java.lang.String message)` Constructs a new exception with the specified message.
`OracleJsonGenerationException​(java.lang.String message, java.lang.Throwable cause)` Constructs a new exception with the specified message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OracleJsonGenerationException

    public OracleJsonGenerationException​(java.lang.String message)

Constructs a new exception with the specified message.

Parameters:
  `message` - the detail message.

#### OracleJsonGenerationException

    public OracleJsonGenerationException​(java.lang.String message,
                                         java.lang.Throwable cause)

Constructs a new exception with the specified message and cause.

Parameters:
  `message` - the detail message
  `cause` - the cause